module.exports = {
    
    props: {
        /**
         * Obiect Control
         */
        control: {required: true},
        
        /**
         * value - pentru implementare v-model
         */
        value: {},

        /**
         * tabindex
         */
        tabindex: {default: null},
    },

    methods: {

        SetFocusTo(tabindex) {
            let jq = $('*[tabindex="' + tabindex +  '"]')
            setTimeout( () => {
                jq.focus()
            }, 50)
        },

        MoveToNextControl(current) {
            let first = parseInt(this.$parent.modal.first_tabindex)
            let last =  parseInt(this.$parent.modal.submit_tabindex)
            let next = parseInt(current) + 1
            if( current == last )
            {   
                this.SetFocusTo(first)
            }
            else
            {
                this.SetFocusTo(next)
            }
        },

        MoveToPrevControl(current) {
            let first = parseInt(this.$parent.modal.first_tabindex)
            
            let prev = parseInt(current) - 1
            if( current == first )
            {   
                let last =  parseInt(this.$parent.modal.submit_tabindex)
                this.SetFocusTo(last)
            }
            else
            {
                this.SetFocusTo(prev)
            }
        },
    }

}